%% get depth for central camera
%
% Usage:
%   d = calc_depth_central_xs(X,P,x)
%
%   X  - 4-vector of 3D point
%   P  - 3x4 projection matrix
%   x  - 3x1-vector of direction of camera 
%
%   d - depth, is positive if point is in front of camera
%                 (similar direction as x)
%
% Wolfgang Frstner 4/2013
% wfoerstn@uni-bonn.de 
%
% See also calc_depth_central_xs, calc_depth_central_xs_RZ, calc_depth_perspective


function d = calc_depth_central_x(X,P,x)

[K,~,~,~] = calc_KRZ_from_P(P,-1);

d = x'*P*X / norm(inv(K)*x);                                               
